Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update github installation

PATCH/workspaces/{organizationId}/github/installations/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
defaultAgentIdstring | nullrequired
Responses
200

Installation updated

idstringrequired
organizationIdstringrequired
installationIdstringrequired
repostringrequired
defaultAgentIdstring | nullrequired
createdAtstringrequired
404

Installation not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/github/installations/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "defaultAgentId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "installationId": "string",
  "repo": "string",
  "defaultAgentId": "string",
  "createdAt": "string"
}